package de.micka.lebenshilfe;

import android.content.Context;
import android.database.SQLException;
import android.database.sqlite.SQLiteOpenHelper;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;


public class ListenDataManager extends SQLiteOpenHelper implements Constants
{
	private static final String DATABASE_NAME = "de.micka.lebenshilfe.haushaltsbuchdb";
    private static final int DATABASE_VERSION = 1;
    	
    /** Create a helper object for the database */
    public ListenDataManager(Context ctx) 
    { 
       super(ctx, DATABASE_NAME, null, DATABASE_VERSION);
    }
    @Override
    public void onCreate(SQLiteDatabase db) 
    { 
       db.execSQL("CREATE TABLE " + LISTEN_TABLE_NAME + " (" 
    		 + _ID + " INTEGER PRIMARY KEY AUTOINCREMENT, "  
             + LISTENNAME +" TEXT NOT NULL, "
             + LISTENTYP + " TEXT NOT NULL);"
           );
    }
    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) 
    {
       db.execSQL("DROP TABLE IF EXISTS " + LISTEN_TABLE_NAME);
       onCreate(db);
    }
}
