package de.micka.lebenshilfe;

import android.app.Activity;
import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;

public class TabelleBearbeiten extends Activity
{
	private final static String MY_DB_NAME = "HaushaltsbuchDB";
	private static String MY_DB_TABLE = "eintraege";
	public static String TABELLENNAME = "tabellenname";
	private String alterListenname;
	private String neuerListenname;
	private final static String tag="ensacom"; 
	private SQLiteDatabase myDB = null;
	private EditText tabname;
	public static final int beenden_ID = Menu.FIRST;
	public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.tabellebearbeiten);
        alteTabelleLaden();
    }
	public void alteTabelleLaden()
	{
		myDB = null;
	    //alte Werte laden
		final Bundle extras = getIntent().getExtras();
	    if(extras != null)
	    {
	    	alterListenname = extras.getString(ListenUebersicht.LISTENNAME);
	    	//extras.getLong(Tabellenuebersicht.ID);
	    }
	    //EditTexts referenzieren
	    tabname = (EditText) findViewById(R.id.edt_liste__aendern_name);
	    
	    //Alte Werte in EditTexts setzen
	    tabname.setText(alterListenname);
	}
	public void aenderungUebernehmen(View v)
	{
		neuerListenname = tabname.getText().toString();
				
		//Datenbank ndern
		myDB = this.openOrCreateDatabase(MY_DB_NAME, MODE_PRIVATE, null);
		myDB.execSQL("UPDATE " + MY_DB_TABLE + " SET " 
				+ "listenname = '" + neuerListenname +"' " 
				+ "WHERE listenname = '" + alterListenname +"';");
		Log.v(tag, "new Table: " + neuerListenname);
		myDB.close();
		Intent i = new Intent(this, ListenUebersicht.class);;
        finish();
        startActivity(i);
	}
	@Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == KeyEvent.KEYCODE_BACK) {
            Intent i = new Intent(this, ListenUebersicht.class);;
            finish();
            startActivity(i);
            return true;
        }
        return super.onKeyDown(keyCode, event);
    }
	@Override
	public boolean onCreateOptionsMenu(Menu menu)
    {
    	getMenuInflater().inflate(R.menu.optionsmenu, menu);
		return super.onCreateOptionsMenu(menu);
    }
    public boolean onOptionsItemSelected(MenuItem item)
    {//Was passiert wenn ein Options-Men Eintrag gewhlt wird
    	switch(item.getItemId())
    	{
    		case R.id.opt_beenden: 
    			System.exit(0);
    		case R.id.opt_zurUebersicht:
    		{
    			final Intent intent = new Intent(this, ListenUebersicht.class);
    			startActivity(intent);
    		};
    		default:
    			return super.onOptionsItemSelected(item);
    	}
    }
}
